%define _x11dir		/usr
%define _x11libdir	%{_x11dir}/%{_lib}
%define _x11sdkdir	%(pkg-config --variable=sdkdir xorg-server)
%define tarname		%{name}-0.7.4-1

Name:		linuxwacom
Version:	0.7.4_1
Epoch:		0
Release:	2.1
Summary:	Wacom Drivers from Linux Wacom Project

Group:		User Interface/X Hardware Support
License:	GPL/X11
URL:		http://linuxwacom.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/linuxwacom/%{tarname}.tar.bz2
Source1:	60-wacom.rules
Patch2:		linuxwacom-fsp.patch
Patch4:		linuxwacom-0.7.2-delibcwrap.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	libX11-devel, libXi-devel, xorg-x11-server-sdk >= 1.0.99.901, ncurses-devel
Requires:	xorg-x11-server-Xorg >= 1.0.99.901, udev >= 030-21
ExclusiveArch:  %{ix86} x86_64 alpha ia64 ppc sparc sparc64

%description 
The Linux Wacom Project manages the drivers, libraries, and
documentation for configuring and running Wacom tablets under the
Linux operating system. It contains diagnostic applications as well as
X.org XInput drivers.

%package devel
Summary: linuxwacom developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Developmental libraries and header files required for developing or
compiling applications for manipulating settings for Wacom tablets.

%prep
%setup -q -n %{tarname}

%patch2 -p1 -b .fsp
%patch4 -p0 -b .delibcwrap

%build

XSERVER64=
if [ "$(getconf LONG_BIT)" == "64" ]
then
  XSERVER64=--enable-xserver64
fi

export RPM_LIBDIR=%{_lib}
%configure --without-gtk --without-tcl --without-tk \
	--disable-wacomxi --disable-libwacomxi \
	--with-xorg-sdk=/usr --with-xlib=%{_x11libdir} \
	--enable-dlloader $XSERVER64

export CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall x86moduledir=$RPM_BUILD_ROOT%{_x11libdir}/xorg/modules/input
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-wacom.rules
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README NEWS
%attr(0444,root,root) %{_x11libdir}/xorg/modules/input/wacom_drv.*o
%{_bindir}/wacdump
%{_bindir}/xidump
%{_bindir}/xsetwacom
%{_libdir}/libwacomcfg*so.*
%{_sysconfdir}/udev/rules.d/60-wacom.rules

%files devel
%defattr(-,root,root,-)
%{_includedir}/wacomcfg/wacomcfg.h
%{_libdir}/libwacomcfg*.a
%{_libdir}/libwacomcfg*.so

%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:0.7.4_1-2.1
- rebuild

* Sun May 21 2006 Peter Jones <pjones@redhat.com> 0:0.7.4_1-2
- fix the sysfs test equality syntax in the udev rule

* Wed May 10 2006 Kristian Høgsberg <krh@redhat.com> 0:0.7.4_1-1
- Update to 0.7.4-1 release.
- Change udev rule to use == instead of = for matching kernel name
  (#191248).
- Drop linuxwacom-0.7.2-modular-sdk.patch and pass --with-xorg-sdk=/usr.
- Change udev rule to be 60-wacom.rules instead of 10-wacom.rules.
- Update linuxwacom-fsp.patch to patch Makefile.in instead so we avoid
  rerunning auto*.

* Mon Apr 10 2006 Adam Jackson <ajackson@redhat.com> 0:0.7.2-3
- Delibcwrap and otherwise rebuild for 7.1RC1 ABI changes.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:0.7.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0:0.7.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 13 2006 Kristian Høgsberg <krh@redhat.com> 0:0.7.2-1
- Update to version 0.7.2.
- Drop linuxwacom-0.6.4-linux-input.patch since the kernel headers now
  define EV_SYN.
- Update SDK patch to work with new modular paths.

* Mon Dec 12 2005 Tim Waugh <twaugh@redhat.com> 0:0.7.0-2
- More SDK path fixes.
- Don't build input driver with -fstack-protector since the X loader
  doesn't like it.

* Fri Dec  9 2005 Tim Waugh <twaugh@redhat.com> 0:0.7.0-1
- 0.7.0.  No longer need 64-bit patch.
- Fixed SDK path.

* Fri Nov 18 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-8
- Update to work with new X11 paths.
- Patch build system to work with modular X sdk.

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0:0.6.6-7
- require implementation independent Xserver instead of xorg-x11

* Tue Nov  8 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-6
- Update X11 library dependencies.
- Change back _x11libdir definition.
- Change udev rule to match on vendor id instead of manufacturer name,
  since that's seems to be more reliable.
- Test for libX11.so instead of X11 subdir in X11 libdir test.

* Wed Apr 13 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-5
- Run automake so changes to Makefile.am take effect.
- Fix configure.in test for 64 bit longs.

* Wed Apr 13 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-4
- Update linuxwacom-0.6.6-64-bit-fix.patch to remove more i386'isms.

* Mon Mar 14 2005 Kristian Høgsberg <krh@porkchop.devel.redhat.com> 0:0.6.6-3
- Rebuilding with gcc 4.0.

* Thu Feb 10 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-2
- Bump release.

* Thu Feb 10 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-1
- Add patch to set the necessary preprocessor flags on 64 bit archs.

* Wed Feb  2 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-1
- Update to linuxwacom-0.6.6.
- Update sources file.
- Fix configure-fixes patch: don't set the X11 lib path back to
  default when it's given on the command line.

* Wed Sep 29 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-6
- Run /sbin/ldconfig in %post and %postun (#134070).

* Fri Sep 24 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-5
- Pass --without-gtk and others to get rid of bogus link dependencies.

* Tue Sep 21 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-2
- Add BuildRequires for ncurses-devel, needed by wacdump and xidump tools.

* Mon Sep 13 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add udev rule to create /dev/input/wacom

* Wed Sep  8 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Invoke libtoolize to fix .so problem on x86_64
- Clean up spec file a bit, run autoconf before build to really fix
  lib64 issues on x86_64.
- Corrected typo and XFree86 mention.

* Tue Sep  7 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add hack to prevent configure from hardcoding 'lib'.

* Wed Sep  1 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Explicitly disable building tcl/tk panel
- Add patch to remove hard-code i386 flags from Makefile.am
- Use %{_x11libdir} so it'll work on x86_64
- Removed .la files, they are demon spawn
- Don't try to build on arches that don't have xorg-x11

* Fri Aug 27 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add patch to make driver compile against xorg-x11-sdk
- Add patch to work around totally obsolete glibc-kernheaders

* Thu Aug 26 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Created package, copying bits from synaptics spec file.
